// ConsoleUpdater.h : PROJECT_NAME 응용 프로그램에 대한 주 헤더 파일입니다.
//

#pragma once

#ifndef __AFXWIN_H__
	#error PCH에서 이 파일을 포함하기 전에 'stdafx.h'를 포함하십시오.
#endif

#include "resource.h"		// 주 기호

int GetCurrentPath(char* pszPath);

// CConsoleUpdaterApp:
// 이 클래스의 구현에 대해서는 SP-Updater.cpp을 참조하십시오.
//
#ifdef _LGU
#define DOWN_HOST "cs-update.x-cdn.com" // LG U+
#else //
#define DOWN_HOST "cc-update.ktsh.co.kr" // KTICS
#endif // 
#define DOWN_URL "http://"DOWN_HOST"/update" 


class CConsoleUpdaterApp : public CWinApp
{
public:
	CConsoleUpdaterApp();

protected:
	void    GetUpdateFileList(CStringArray& saFile);
	BOOL	CheckUpdate(CString &strLocal,  CString &strRemote);
public:
	CString m_sPath;
	CString m_sFile;
	BOOL CheckServer();

// 재정의
public:
	virtual BOOL InitInstance();

// 구현
	DECLARE_MESSAGE_MAP()
};

extern CConsoleUpdaterApp theApp;